<!DOCTYPE html>
<html>
<head>
  <title>Simple API Integration</title>
</head>
<body>
  <h1>API Data</h1>
  <div id="data-container"></div>

  <!-- Form to submit data to the API -->
  <form id="dataForm">
    <label for="id">ID:</label>
    <input type="text" id="id" name="id" required><br>

    <label for="name">Name:</label>
    <input type="text" id="name" name="name" required><br>

    <button type="submit">Add Data</button>
  </form>

  <script>
    // Function to fetch data from the API and display it on the page
    async function fetchData() {
      try {
        const response = await fetch('http://localhost:3000/api/data');
        const data = await response.json();
        const dataContainer = document.getElementById('data-container');

        if (data.length === 0) {
          dataContainer.innerHTML = '<p>No data available.</p>';
        } else {
          const dataHtml = data.map(item => `<p>ID: ${item.id}, Name: ${item.name}</p>`).join('');
          dataContainer.innerHTML = dataHtml;
        }
      } catch (error) {
        console.error('Error fetching data:', error);
      }
    }

    // Function to handle form submission
    async function submitData(event) {
      event.preventDefault();

      const formData = new FormData(event.target);
      const data = {};
      formData.forEach((value, key) => {
        data[key] = value;
      });

      try {
        const response = await fetch('http://localhost:3000/api/data', {
          method: 'POST',
          headers: {
            'Content-Type': 'application/json'
          },
          body: JSON.stringify(data)
        });

        if (response.ok) {
          fetchData(); // Refresh the data after successful submission
        } else {
          console.error('Failed to submit data:', response.status, response.statusText);
        }
      } catch (error) {
        console.error('Error submitting data:', error);
      }
    }

    // Call the fetchData function when the page loads
    window.addEventListener('load', () => {
      fetchData();
    });

    // Attach the submitData function to the form submission event
    const dataForm = document.getElementById('dataForm');
    dataForm.addEventListener('submit', submitData);
  </script>

</body>
</html>
